%define anolis_release 2

Summary: X.Org X11 libXvMC runtime library
Name: libXvMC
Version: 1.0.13
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/releases/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: pkgconfig(videoproto)
BuildRequires: pkgconfig(x11) >= 1.6
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xorg-macros) >= 1.8
BuildRequires: pkgconfig(xv)

%description
X.Org X11 libXvMC runtime library

%package doc
Summary: Documentation files for %{name}
Buildarch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%package devel
Summary: X.Org X11 libXvMC development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXvMC development package

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

# do this ourself in %%doc so we get %%version
rm $RPM_BUILD_ROOT%{_docdir}/*/*.txt

# Touch XvMCConfig for rpm to package the ghost file.
{
    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11
    touch $RPM_BUILD_ROOT%{_sysconfdir}/X11/XvMCConfig
}

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libXvMC.so.*
%{_libdir}/libXvMCW.so.*
%{abidir}/*.dump
%ghost %config(missingok,noreplace) %verify (not md5 size mtime) %{_sysconfdir}/X11/XvMCConfig

%files doc
%doc README.md

%files devel
%doc XvMC_API.txt
%{_includedir}/X11/extensions/XvMClib.h
%{_includedir}/X11/extensions/vldXvMC.h
%{_libdir}/libXvMC.so
%{_libdir}/libXvMCW.so
%{_libdir}/pkgconfig/xvmc.pc
%{_libdir}/pkgconfig/xvmc-wrapper.pc

%changelog
* Sat Apr 22 2023 Funda Wang <fundawang@yeah.net> - 1.0.13-2
- Cleanup spec

* Fri Apr 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.13-1
- Init from upstream version 1.0.13

